#!/bin/sh
#
# /////////////////////////////////////////////////////////////////////////////
# //                   PROPRIETARY RIGHTS STATEMENT
# // The contents of this file represent confidential information that is the
# // proprietary property of SilverStream Software, Inc.  Viewing or use of
# // this information is prohibited without the express written consent of
# // SilverStream Software, LLC. Removal of this PROPRIETARY RIGHTS STATEMENT
# // is strictly forbidden. Copyright (c) 1999, 2003 All rights reserved.
# /////////////////////////////////////////////////////////////////////////////

# --
# --  exteNd Composer Patch utility
# --

echo "Please make sure Composer Server is not running if patching Server."
echo "Please make sure Composer Designer and Director is not running if patching Designer."
echo "Note: java must be in your path."
echo "Press <Enter> to continue ..."; read x

# relative locations of target jar files (order of test below can be affected by these)
designerJarLoc=../../../Common/lib
serverJarLoc=../../Composer/lib
removeListfor521E=gnu/regexp/CharIndexed.class,gnu/regexp/CharIndexedCharArray.class,gnu/regexp/CharIndexedInputStream.class,gnu/regexp/CharIndexedString.class,gnu/regexp/CharIndexedStringBuffer.class,gnu/regexp/CharUnit.class,gnu/regexp/IntPair.class,gnu/regexp/RE.class,gnu/regexp/REException.class,gnu/regexp/REFilterInputStream.class,gnu/regexp/REMatch.class,gnu/regexp/REMatchEnumeration.class,gnu/regexp/RESyntax.class,gnu/regexp/REToken.class,gnu/regexp/RETokenAny.class,gnu/regexp/RETokenBackRef.class,gnu/regexp/RETokenChar.class,gnu/regexp/RETokenEnd.class,gnu/regexp/RETokenOneOf.class,gnu/regexp/RETokenPOSIX.class,gnu/regexp/RETokenRange.class,gnu/regexp/RETokenRepeated.class,gnu/regexp/RETokenStart.class

# --
# -- patch SSSW jar in place
# --


if [ -f ../server/default/lib/jboss.jar ] 
  then
     serverJarLoc=../server/default/lib
fi
if [ -d $serverJarLoc ]
then
   # Do Server patch
   echo "Applying Server patch..."
   sh ./xcPatch.sh $serverJarLoc xcs-all.jar xcPatch521s.zip xcs-all-pre1307H.jar
   java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility $serverJarLoc/xcs-all.jar xc_xwb_Patch521.zip false
   java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility $serverJarLoc/xcs-all.jar remove_catalina.zip remove
   java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility $serverJarLoc/xcs-all.jar $removeListfor521E removelist
   cp xc-iway.jar $serverJarLoc/xc-iway.jar
   echo "Done"
elif [ -d $designerJarLoc ]
then
   # Do Designer patch
   echo "Applying Designer patch..."
   sh ./xcPatch.sh $designerJarLoc xcd-all.jar xcPatch521d.zip xcd-all-pre1307H.jar
   java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility $designerJarLoc/xwb-wsdl-uddi.jar xc_xwb_Patch521.zip false
   java -classpath GNVPatch.jar com/sssw/b2b/rt/util/GVJarPatchUtility $designerJarLoc/xcd-all.jar $removeListfor521E removelist
   cp xc-iway.jar ../lib/xc-iway.jar
   echo Creating directory for IDM2 jar files ...
   mkdir ../lib/IDM2
   echo Copying jars ...
   cp ComposerDriverShim.jar ../lib/IDM2/ComposerDriverShim.jar
   cp ejb.jar ../lib/IDM2/ejb.jar
   cp SilverRuntime.jar ../lib/IDM2/SilverRuntime.jar
   cp xconfig.jar ../lib/IDM2/xconfig.jar
   cp IDM_ProjectTemplate.zip ../lib/IDM2/IDM_ProjectTemplate.zip
   cp readme.pdf ../lib/IDM2/readme.pdf
   cp ComposerDriver.xml ../lib/IDM2/ComposerDriver.xml
   cp composer.gif ../lib/IDM2/composer.gif
   ../../../Common/jre/bin/java -classpath xconfpatch.jar:$designerJarLoc/xcd-all.jar:$designerJarLoc/xwb-wsdl-uddi.jar: com.novell.composerPatch.PatchXConfig ../bin
   echo "Done"
else
   # patch files probably in wrong place.
   echo "Patch not applied, unable to find Composer jar(s). Please consult readme521.txt for instructions on applying this patch."
fi

if [ -f ../server/default/lib/jboss.jar ] 
  then
     echo Copying to xcs-all.jar "all" configuration ...
     cp ../server/default/lib/xcs-all.jar 	 ../server/all/lib/xcs-all.jar
	 cp xc-iway.jar ../server/all/lib/xc-iway.jar
fi

if [ -f ../../shared/lib/xcs-all.jar ] 
  then
     cp ../../Composer/lib/xcs-all.jar 	 ../../shared/lib/xcs-all.jar
  	 cp -dpr -p -r Phaos/*.* ../../shared/lib/
fi

if [ -f ../../shared/lib/xc-iway.jar ] 
  then
     cp ../../Composer/lib/xc-iway.jar 	 ../../shared/lib/xc-iway.jar
fi

if [ -f ../../shared/lib/wssdk.jar ] 
  then
     cp ../../Composer/lib/wssdk.jar 	 ../../shared/lib/wssdk.jar
fi
